Subject: Re: bug#59317: 29.0.50; Feature idea: suppress `message' output in ert batch test output

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Nov 2022 08:39:02 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 16 Nov 2022 16:12:36 -0800
> Cc: [email-masked]
> 
> Is there any way to capture and stop *all* output in the terminal for
> passing tests?  Like `set-batch-output-function', or something to that
> effect.

No, not that I know of.  We have several functions that will write to
the terminal in batch mode, and they use different low-level
interfaces to do that.  Also, some of the output goes to stdout and
some to stderr.  You can always redirect these two streams to files,
of course.

Besides, we don't want to stop _everything_: the messages that
announce the tests that passed and the time it took to run each test
are useful and should not be shut up.